/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include "context.hpp"

namespace turbine {

void safeDelete(Context *p) {
	delete p;
}

keel::Context const &keelCtx(Context const &ctx) noexcept {
	return ctx.keelCtx;
}

keel::Context &keelCtx(Context &ctx) noexcept {
	return ctx.keelCtx;
}

void setApplicationDataRaw(Context &ctx, ox::AnyPtr const &applicationData) noexcept {
	ctx.applicationData = applicationData;
}

ox::AnyPtr const &applicationDataRaw(Context &ctx) noexcept {
	return ctx.applicationData;
}

}
